Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.ibeans.spi.support
Class DynamicRequestInterfaceBinding

    java.lang.Object
      org.mule.component.DefaultInterfaceBinding
          org.mule.module.ibeans.spi.support.DefaultRequestInterfaceBinding
              org.mule.module.ibeans.spi.support.DynamicRequestInterfaceBinding

All Implemented Interfaces:
  InterfaceBinding, MessageProcessor

    public class DynamicRequestInterfaceBinding

extends DefaultRequestInterfaceBinding

Creates an component binding that can use the `MessageRequester` interface to make a call. The need for this class is that the MessageRequester has no support for passing an `MuleMessage` so this binding will set the message on the endpoint and use it when the request is made

Field Summary

Fields inherited from class org.mule.module.ibeans.spi.support.DefaultRequestInterfaceBinding
`inboundEndpoint`

Fields inherited from class org.mule.component.DefaultInterfaceBinding
`logger, outboundRouter`

Constructor Summary
`DynamicRequestInterfaceBinding()`

Method Summary
`MuleEvent` | `process(MuleEvent event)` This method is responsible for routing the Message via the MuleSession.

Methods inherited from class org.mule.module.ibeans.spi.support.DefaultRequestInterfaceBinding
`getEndpoint, setEndpoint`

Methods inherited from class org.mule.component.DefaultInterfaceBinding
`createProxy, getInterface, getInterfaceClass, getMethod, setInterface, setMethod, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DynamicRequestInterfaceBinding

    public DynamicRequestInterfaceBinding()

Method Detail

### process

    public MuleEvent process(MuleEvent event)
                      throws MessagingException

  Description copied from interface: `InterfaceBinding`
  This method is responsible for routing the Message via the MuleSession. The logic for this method will change for each type of router depending on expected behaviour. For example, a MulticastingRouter might just iterate through the list of assoaciated endpoints sending the message. Another type of router such as the ExceptionBasedRouter will hit the first endpoint, if it fails try the second, and so on. Most router implementations will extends the FilteringOutboundRouter which implements all the common logic need for a router.

  Specified by:
    `process` in interface `InterfaceBinding`
  Specified by:
    `process` in interface `MessageProcessor`
  Overrides:
    `process` in class `DefaultInterfaceBinding`
  Parameters:
    `event` - MuleEvent to be processed
  Returns:
    a result message if any from the invocation. If the synchronous flag is false a null result will always be returned.
  Throws:
    `MessagingException` - if any errors occur during the sending of messages
  See Also:
    `FilteringOutboundRouter`, `ExceptionBasedRouter`, `MulticastingRouter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.